Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jedi.editor
Class EditorFrame

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Frame
                              |
                              +--javax.swing.JFrame
                                    |
                                    +--swing.addon.Frame
                                          |
                                          +--jedi.editor.EditorFrame

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public class EditorFrame
extends Frame

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JFrame
`javax.swing.JFrame.AccessibleJFrame`

Inner classes inherited from class java.awt.Frame
`java.awt.Frame.AccessibleAWTFrame`

Inner classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Field Summary
`static int` | `CLASS_JAVADOC`
`static int` | `CLASS_VARIABLES`
`static int` | `METHOD_BODY`
`static int` | `METHOD_JAVADOC`
`static int` | `PACKAGE_ICONS`
`static int` | `PACKAGE_RESOURCES`

Fields inherited from class swing.addon.Frame
`userData`

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`EditorFrame()`

Method Summary
`void` | `addClassListener(ClassListener cl)`
`Method` | `addMethod(java.lang.String name)`
`void` | `addMethodListener(MethodListener ml)`
`void` | `addPackageListener(PackageListener pl)`
`void` | `addPluginActions()`
`void` | `addProjectListener(ProjectListener pl)`
`void` | `classModified(Class c)`
`Class` | `getCurrentClass()`
`Method` | `getCurrentMethod()`
`Package` | `getCurrentPackage()`
`JavaEditor` | `getEditor()`
`javax.swing.text.EditorKit` | `getEditorKit()`
`Menu` | `getPluginMenu()`
`Project` | `getProject()`
`TabbedPane` | `getTabbedPane()`
`ToolBar` | `getToolBar()`
`Class` | `makeNewClass(java.lang.String name, Class copyfrom)`
`Method` | `makeNewConstructor(Method copyfrom)`
`Method` | `makeNewInitializer(Method copyfrom)`
`Class` | `makeNewInnerClass(Class parent, java.lang.String name)`
`Class` | `makeNewInnerInterface(Class parent, java.lang.String name)`
`Class` | `makeNewInterface(java.lang.String name, Class copyfrom)`
`Method` | `makeNewMethod(java.lang.String name, Method copyfrom)`
`Package` | `makeNewPackage(java.lang.String name, Package copyfrom)`
`void` | `methodModified(Method m)`
`void` | `refreshMethod(Method m)`
`void` | `setClass(Class c)`
`void` | `setCompileError(CompileError err)`
`void` | `setMethod(Method m)`
`void` | `setPackage(Package p)`
`void` | `setProject(Project p)`

Methods inherited from class swing.addon.Frame
`add, beep, centerOn, closeAllVisibleFrames, setBusy, setDefaultHelpBrowser, setDefaultHelpFileDirectory, setDefaultHelpFileDirectory, setLocation, setMenuBar, setVisible, showHelpFile, showHelpFile, showHelpText`

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processKeyEvent, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Frame
`addNotify, finalize, getCursorType, getFrames, getIconImage, getMenuBar, getState, getTitle, isResizable, remove, removeNotify, setCursor, setIconImage, setMenuBar, setResizable, setState, setTitle`

Methods inherited from class java.awt.Window
`addWindowListener, applyResourceBundle, applyResourceBundle, dispose, getFocusOwner, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, hide, isShowing, pack, postEvent, processEvent, removeWindowListener, setCursor, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setFont, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setName, setSize, setSize, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### PACKAGE_RESOURCES

    public static final int PACKAGE_RESOURCES

### PACKAGE_ICONS

    public static final int PACKAGE_ICONS

### CLASS_VARIABLES

    public static final int CLASS_VARIABLES

### CLASS_JAVADOC

    public static final int CLASS_JAVADOC

### METHOD_BODY

    public static final int METHOD_BODY

### METHOD_JAVADOC

    public static final int METHOD_JAVADOC

Constructor Detail

### EditorFrame

    public EditorFrame()

Method Detail

### addClassListener

    public void addClassListener(ClassListener cl)

### addMethod

    public Method addMethod(java.lang.String name)

### addMethodListener

    public void addMethodListener(MethodListener ml)

### addPackageListener

    public void addPackageListener(PackageListener pl)

### addPluginActions

    public void addPluginActions()

### addProjectListener

    public void addProjectListener(ProjectListener pl)

### classModified

    public void classModified(Class c)

### getCurrentClass

    public Class getCurrentClass()

### getCurrentMethod

    public Method getCurrentMethod()

### getCurrentPackage

    public Package getCurrentPackage()

### getEditor

    public JavaEditor getEditor()

### getEditorKit

    public javax.swing.text.EditorKit getEditorKit()

### getPluginMenu

    public Menu getPluginMenu()

### getProject

    public Project getProject()

### getTabbedPane

    public TabbedPane getTabbedPane()

### getToolBar

    public ToolBar getToolBar()

### makeNewClass

    public Class makeNewClass(java.lang.String name,
                              Class copyfrom)

### makeNewConstructor

    public Method makeNewConstructor(Method copyfrom)

### makeNewInitializer

    public Method makeNewInitializer(Method copyfrom)

### makeNewInnerClass

    public Class makeNewInnerClass(Class parent,
                                   java.lang.String name)

### makeNewInnerInterface

    public Class makeNewInnerInterface(Class parent,
                                       java.lang.String name)

### makeNewInterface

    public Class makeNewInterface(java.lang.String name,
                                  Class copyfrom)

### makeNewMethod

    public Method makeNewMethod(java.lang.String name,
                                Method copyfrom)

### makeNewPackage

    public Package makeNewPackage(java.lang.String name,
                                  Package copyfrom)

### methodModified

    public void methodModified(Method m)

### refreshMethod

    public void refreshMethod(Method m)

### setClass

    public void setClass(Class c)

### setCompileError

    public void setCompileError(CompileError err)

### setMethod

    public void setMethod(Method m)

### setPackage

    public void setPackage(Package p)

### setProject

    public void setProject(Project p)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD